#!/bin/sh -e
#
# $Id: build-updates.sh 16160 2019-07-12 02:33:13Z NiLuJe $
#

HACKNAME="jb-factory"
PKGNAME="${HACKNAME}"
PKGVER="1.3"

# We need GNU tar
if [[ "$(uname -s)" == "Darwin" ]] ; then
	TAR_BIN="gtar"
else
	TAR_BIN="tar"
fi
if ! ${TAR_BIN} --version | grep -q "GNU tar" ; then
	echo "You need GNU tar to build this package."
	exit 1
fi

## Install
# Prepare the directory layout for our tarball...
mkdir -p ../src/etc/uks ../src/mnt/us/documents

# Copy our payload
ln -f ../src/jailbreak.pem ../src/etc/uks/pubdevkey01.pem
echo "It is now safe to delete this document, as well as the main-htmlviewer.tar.gz file. All that's left for you to do is to install the 'hotfix' jailbreak package!" > "../src/mnt/us/documents/You are Jailbroken.txt"

# Craft our tarball...
${TAR_BIN} --hard-dereference --owner root --group root --transform 's,^src/,,S' --transform 's,^,/,S' -cvzf main-htmlviewer.tar.gz ../src/etc ../src/mnt

# Remove package specific temp stuff
rm -rf ../src/etc ../src/mnt

# Move our package
mv -f *.tar.gz ../

## And now for the FW >= 5.11.x variant...
ln -f ../src/wheee.zip ../Merchant.zip
